# coding: utf-8

RESOURCE_MAPPING = {
    'object': {
        'resource': '{id}',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference'
    },
    'user_accounts': {
        'resource': '{id}/accounts',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/accounts'
    },
    'user_achievements': {
        'resource': '{id}/achievements',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/achievements'
    },
    'user_activities': {
        'resource': '{id}/activities',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/activities'
    },
    'user_albums': {
        'resource': '{id}/albums',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/albums'
    },
    'user_applications_developer': {
        'resource': '{id}/applications/developer',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/applications/developer'
    },
    'user_apprequests': {
        'resource': '{id}/apprequests',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/apprequests'
    },
    'user_books': {
        'resource': '{id}/books',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/books'
    },
    'user_events': {
        'resource': '{id}/events',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/events'
    },
    'user_family': {
        'resource': '{id}/family',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/family'
    },
    'user_feed': {
        'resource': '{id}/feed',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/feed'
    },
    'user_friendlists': {
        'resource': '{id}/friendlists',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/friendlists'
    },
    'user_friends': {
        'resource': '{id}/friends',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/friends'
    },
    'user_games': {
        'resource': '{id}/games',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/games'
    },
    'user_groups': {
        'resource': '{id}/groups',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/groups'
    },
    'user_home': {
        'resource': '{id}/home',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/home'
    },
    'user_ids_for_business': {
        'resource': '{id}/ids_for_business',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/ids_for_business'
    },
    'user_inbox': {
        'resource': '{id}/inbox',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/inbox'
    },
    'user_interests': {
        'resource': '{id}/interests',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/interests'
    },
    'user_invitable_friends': {
        'resource': '{id}/invitable_friends',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/invitable_friends'
    },
    'user_likes': {
        'resource': '{id}/likes',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/likes'
    },
    'user_music': {
        'resource': '{id}/music',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/music'
    },
    'user_notifications': {
        'resource': '{id}/notifications',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/notifications'
    },
    'user_outbox': {
        'resource': '{id}/outbox',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/outbox'
    },
    'user_payment_transactions': {
        'resource': '{id}/payment_transactions',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/payment_transactions'
    },
    'user_permissions': {
        'resource': '{id}/permissions',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/permissions'
    },
    'user_photos': {
        'resource': '{id}/photos',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/photos'
    },
    'user_picture': {
        'resource': '{id}/picture',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/picture'
    },
    'user_pokes': {
        'resource': '{id}/pokes',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/pokes'
    },
    'user_scores': {
        'resource': '{id}/scores',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/scores'
    },
    'user_taggable_friends': {
        'resource': '{id}/taggable_friends',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/taggable_friends'
    },
    'user_tagged_places': {
        'resource': '{id}/tagged_places',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/tagged_places'
    },
    'user_television': {
        'resource': '{id}/television',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/television'
    },
    'user_videos': {
        'resource': '{id}/videos',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/videos'
    },
    'user_videos_uploaded': {
        'resource': '{id}/videos/uploaded',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/user/videos'
    },
    'page_albums': {
        'resource': '{id}/albums',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/albums'
    },
    'page_blocked': {
        'resource': '{id}/blocked',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/blocked'
    },
    'page_conversations': {
        'resource': '{id}/conversations',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/conversations'
    },
    'page_events': {
        'resource': '{id}/events',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/events'
    },
    'page_feed': {
        'resource': '{id}/feed',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/feed'
    },
    'page_global_brand_children': {
        'resource': '{id}/global_brand_children',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/global_brand_children'
    },
    'page_insights': {
        'resource': '{id}/insights',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/insights'
    },
    'page_links': {
        'resource': '{id}/links',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/links'
    },
    'page_locations': {
        'resource': '{id}/locations',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/locations'
    },
    'page_milestones': {
        'resource': '{id}/milestones',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/milestones'
    },
    'page_offers': {
        'resource': '{id}/offers',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/offers'
    },
    'page_photos': {
        'resource': '{id}/photos',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/photos'
    },
    'page_picture': {
        'resource': '{id}/picture',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/picture'
    },
    'page_ratings': {
        'resource': '{id}/ratings',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/ratings'
    },
    'page_settings': {
        'resource': '{id}/settings',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/settings'
    },
    'page_statuses': {
        'resource': '{id}/statuses',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/statuses'
    },
    'page_tabs': {
        'resource': '{id}/tabs',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/tabs'
    },
    'page_videos': {
        'resource': '{id}/videos',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/videos'
    },
    'page_': {
        'resource': '{id}/',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/page/'
    },
    'debug_token': {
        'resource': 'debug_token',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/debug_token'
    },
    'object_comments': {
        'resource': '{id}/comments',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/object/comments'
    },
    'object_likes': {
        'resource': '{id}/likes',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/object/likes'
    },
    'object_sharedposts': {
        'resource': '{id}/sharedposts',
        'docs': 'https://developers.facebook.com/docs/graph-api/reference/object/sharedposts'
    },
}
